<?php
    require('conexion.php');
    $id_prod = $_GET['prod'];
    $from_date = $_GET['dateIni'];
    $to_date = $_GET['dateFin'];
   
    $nota=query("SELECT COUNT(RES) 'RES', SUM(TOTALTAREFE) 'TOTALTAREFE', SUM(PERSONAS) 'PERSONAS', SUM(CANT) 'CANT'
    FROM (SELECT COUNT(*) 'RES', SUM(prd.pro_precio_venta * prd_nta.pdn_cantidad) 'TOTALTAREFE',
     nta.ntv_no_personas 'PERSONAS', SUM(prd_nta.pdn_cantidad) 'CANT' 
     FROM notas_venta as nta 
     INNER JOIN productos_nota as prd_nta on prd_nta.id_nota_venta = nta.id 
     INNER JOIN productos AS prd ON prd_nta.id_producto = prd.id 
     WHERE (prd_nta.impreso!=0 or prd_nta.impreso='IC') AND nta.ntv_fecha_creacion 
    BETWEEN '$from_date' AND '$to_date' AND ntv_estatus = 'finalizado' AND prd_nta.id_producto='$id_prod' AND ntv_no_mesa!='' GROUP BY nta.id) AS result;");
    $resultado=mysqli_fetch_assoc($nota);

    $qry_mesas=query("SELECT COUNT(RES) 'RES'
    FROM (SELECT COUNT(*) 'RES' 
    FROM notas_venta as nta, productos_nota as prd_nta 
    WHERE prd_nta.id_nota_venta = nta.id AND nta.ntv_fecha_creacion 
    BETWEEN '$from_date' AND '$to_date' AND ntv_estatus = 'finalizado' AND ntv_no_mesa!='' AND (prd_nta.impreso!=0 or prd_nta.impreso='IC')
    AND prd_nta.id_producto='$id_prod' GROUP BY nta.id) AS result;");
    $mesas=mysqli_fetch_assoc($qry_mesas);

    $qry_efect=query("SELECT SUM(ntv_efectivo) 'RES' 
    FROM notas_venta as nta, productos_nota as prd_nta 
    WHERE prd_nta.id_nota_venta = nta.id AND nta.ntv_fecha_creacion 
    BETWEEN '$from_date' AND '$to_date' AND ntv_estatus = 'finalizado' AND (prd_nta.impreso!=0 or prd_nta.impreso='IC')
    and ntv_id_tipo_pago!=1 AND prd_nta.id_producto='$id_prod'");
    $efect=mysqli_fetch_assoc($qry_efect);

    $qry_tarj=query("SELECT SUM(ntv_efectivo) 'RES' 
    FROM notas_venta as nta, productos_nota as prd_nta 
    WHERE prd_nta.id_nota_venta = nta.id AND nta.ntv_fecha_creacion
    BETWEEN '$from_date' AND '$to_date' AND ntv_estatus = 'finalizado' AND prd_nta.impreso!=0
    and ntv_id_tipo_pago!=2 AND prd_nta.id_producto='$id_prod'");
    $tarj=mysqli_fetch_assoc($qry_tarj);

    $notas= $resultado['RES'];
    $total_efe_tar= $resultado['TOTALTAREFE'];
    $personas = $resultado['PERSONAS'];
    $mesas=$mesas['RES'];
    $efect= $efect['RES'];
    $tarj= $tarj['RES'];
    $cant= $resultado['CANT'];
    
    $datos = [
        'notas' => $notas,
        'total_efe_tar' =>  number_format($total_efe_tar),
        'personas' => $personas,
        'mesas' => $mesas,
        'efect' =>  number_format($efect),
        'tarj' =>  number_format($tarj),
        'cant' =>  number_format($cant),
    ];
    
   
    echo json_encode($datos);
?>